Name:           embryo
Version:        0.9.9.050
Release:        1%{?dist}
Summary:        Easy to use library for running compiled PAWN programs

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen pkgconfig

%description
Embryo is primarily a shared library that gives you an API to load and control
interpreted programs compiled into an abstract machine bytecode that it
understands.  This abstract (or virtual) machine is similar to a real machine
with a CPU, but it is emulated in software.  The architecture is simple and is
the same as the abstract machine (AMX) in the PAWN language (formerly called
SMALL) as it is based on exactly the same code. Embryo has modified the code
for the AMX extensively and has made it smaller and more portable.  It is VERY
small.  The total size of the virtual machine code AND header files is less
than 2500 lines of code.  It includes the floating point library support by
default as well.  This makes it one of the smallest interpreters around, and
thus makes is very efficient to use in code.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}
sed -i -e 's/$projectname Documentation Generated: $datetime/$projectname Documentation/' doc/foot.html
./gendoc


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove unfinished manpages
find doc/man/man3 -size -100c -delete
rm -f doc/man/man3/todo.3 # remove todo
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -p -m 644 doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}_cc
%{_libdir}/*.so.*
%{_datadir}/%{name}


%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-1
- New upstream snapshot

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-2
- Fixed unowned directory

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-1
- New upstream snapshot

* Tue May 06 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-5
- Fixed missing dependencies for embryo-devel
- Made html doc footer consistent with other E packages

* Mon May 05 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-4
- Added workaround for segfault on incorrect arguments to embryo_cc

* Fri May 02 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-3
- Fixed documentation for multilib

* Sat Apr 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-2
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added html docs
- Added missing dependencies for embryo-devel
- Added workaround for bug in embryo.pc. Proper fix is commited upstream

* Sun Apr 13 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.1.042-1
- Initial specfile for Embryo
